
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Docker生态系统系列之二：容器化综述 / iVAN</title>

    <meta name="description" content="Docker生态系统系列之二：容器化综述 本文讲的是Docker生态系统系列之二:容器化综述,[编者的话]本篇文章是介绍Docker生态系统的第二篇,该文章首先简要介绍了Linux容器化的历史,然后介绍容器化的优点,再讨论Dockerfile的优点,最后讨论了容器化应用的架构. 应用的迁移部署是一件非常复杂的事情.我们不仅要针对每个环境单独调整,可能还会面临其它的问题,比如检查依赖.扩展应用.在不影响整体应用的情况下单独更新组件. Docker容器化的思想和面向服务式的设计模式试图解决这些问题.应用程序可以拆分为可管理的且按功能划分的组">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">Docker生态系统系列之二：容器化综述</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>本文讲的是<b>Docker生态系统系列之二：容器化综述，</b>【编者的话】本篇文章是介绍Docker生态系统的第二篇，该文章首先简要介绍了Linux容器化的历史，然后介绍容器化的优点，再讨论Dockerfile的优点，最后讨论了容器化应用的架构。</p>
<p>应用的迁移部署是一件非常复杂的事情。我们不仅要针对每个环境单独调整，可能还会面临其它的问题，比如检查依赖、扩展应用、在不影响整体应用的情况下单独更新组件。</p>
<p>Docker容器化的思想和面向服务式的设计模式试图解决这些问题。应用程序可以拆分为可管理的且按功能划分的组件，组件可以单独打包它们所需要的全部依赖，这样，应用程序可以非常容易的部署在任何架构中，扩展和更新组件也非常容易。</p>
<p>在这个指南中，我们将讨论容器化的好处以及Docker是如何帮助我们解决前面提到的问题的。Docker是分布式容器部署的核心组件，它易于扩展和管理。<br />
<h3>Linux容器化的简要历史回顾</h3>
<p>容器化和隔离化在云计算领域并不是新概念。许多Unix系的操作系统早就实现了容器化技术。</p>
<p>2008年，LXC被添加到了系统内核中，它的编译模块成为了后续容器化技术的基础。LXC综合了内核cgroups（隔离和跟踪资源的使用）和命名空间（使组与组之间被隔离）来实现轻量级的进程隔离。</p>
<p>后来，Docker就出现了，它是一个简化创建和管理容器的工具。它最初使用LXC作为默认的执行驱动（而现在，这个模块已经被开发成了一个工具包<code>libcontainer</code>）。虽然Docker没有引入什么新的思想，但之所以它被程序员和系统管理员所钟爱，是因为它简化了这个过程并标准化了接口。Docker在Linux程序员中再次激起了一个容器化的兴趣热潮。</p>
<p>虽然在本篇中我们会泛泛的讨论几个容器化的话题，但是由于其超高的人气和标准化的适用，我们将重点讨论Docker容器化。<br />
<h3>容器化可以给我们带来什么？</h3>
<p>容器化给程序员、系统管理员和系统维护团队带来了很多的好处。接下来我将逐个介绍。<br />
<h4>对容器化应用的宿主机抽象化</h4>
<p>容器是完全标准化的。这就是说容器与宿主机、与外界的一切通信交互都使用预定义的接口。一个容器化的应用不依赖也不需要关心宿主机资源或者架构的细节，这就简化了部署时应用对操作系统的要求。同样，对于宿主机来说每一个容器都是个黑盒子，它也不需要关心容器内部的细节。<br />
<h4>容易扩展</h4>
<p>宿主机与容器间的虚拟化带来的好处之一就是：对于一个既定的应用，可以简单而直接的扩展。容器化的应用结合面向服务的设计奠定了易扩展性的基础。</p>
<p>当系统处于筹备阶段或者测试环境中时，程序员可在他们的开发机上部署多个容器。而当容器进入生产环境时，它们将再次被扩展。<br />
<h4>简单的依赖管理和应用版本控制</h4>
<p>容器可以让程序员将一个应用或者应用组件与它们的依赖打包成一个单元。宿主机不需要去关心某一个容器运行所需要的依赖。只要它可以运行Docker，那么它就可以运行所有的Docker容器。</p>
<p>这同样可以简化依赖管理和版本控制。宿主机和开发团队不再需要负责应用程序的依赖库管理，因为除了依赖相关的容器，它们都应该在容器内部。<br />
<h4>轻量级的隔离的运行环境</h4>
<p>虽然容器不提供相同级别的隔离和资源管理虚拟化技术，但是这个折中却带来了其它优势：轻量的运行环境。容器从进程级别隔离，且共享着同一个内核。这就是说容器内并没有一个完整的操作系统，它可以瞬间启动。开发者可以在开发机上无差别的启动几百个容器。<br />
<h4>层共享</h4>
<p>“容器是轻量化的”还可以从另一个角度理解，它们是由层组成的。如果多个容器都基于同一个层，那么他们就可以共享底层，而不会重复，这使得后续的镜像占用硬盘空间达到最小。<br />
<h4>可组合型和可预测性</h4>
<p>Docker文件支持用户自定义创建镜像时的具体操作。这就允许你去定制自己的运行环境，如果需要的话还可以保存在版本控制系统里。在同样环境下，同样的Docker文件编译出的容器镜像是高度一致的。<br />
<h3>用Dockerfile来实现可复现和一致构建</h3>
<p>当使用交互式的操作来创建容器镜像时，我们应该及时把确定的操作加入到配置步骤中。Dockerfile是一个简单的配置文件，它描述了如何从一个已知起点开始构建镜像。</p>
<p>Dockerfile非常实用，并且容易掌握，它有以下几个优点：
<ul>
<li>易于版本控制：Dockerfile文件可以提交到一个版本控制软件中来追踪变更和复现任何错误。</li>
<li>可预测性：基于Dockerfile构建镜像可以从镜像创建的环节来避免操作上的错误。</li>
<li>问责制：如果要分享你的镜像，最好的办法是提供Dockerfile，这样别人可以创建这个镜像并审阅这个过程。Dockerfile提供了创建这个镜像的历史操作步骤。</li>
<li>灵活性：基于Dockerfile来创建镜像，可以覆盖原有的默认的构建配置。也就是说在构建或者运行时你不需要再输入那些复杂的命令行参数。</li>
</ul>
<p>在实现可重复的自动化构建容器方面，Dockerfile是一个非常好的工具。<br />
<h3>容器化应用的架构</h3>
<p>如果要将应用部署到容器中，首先需要考虑应用的架构。一般来说，最好使用面向服务的架构。</p>
<p>通常在用Docker来设计应用或者服务时，最好的方法是打破面向服务架构的设计，而采用独立容器的设计。Docker技术本身也倾向于这种设计，因为以后可以容易的扩展或者独立升级组件。</p>
<p>实现这种设计的应用应该具有以下几个特点：
<ul>
<li>它们不应该依赖或者关心宿主机上的任何细节。</li>
<li>每一个组件应该提供一致性的接口，使得调用者可以访问服务。</li>
<li>每一个服务应该在初始化阶段从环境变量中获取参数。</li>
<li>应用产生的数据应该通过Volumes存储在容器外部或者数据容器中。</li>
</ul>
<p>只要接口不变，这些策略使得组件可以被独立的更换或者升级。这使得它们向着水平扩展的方向发展，也就是根据瓶颈情况，每一个组件都可以扩展。</p>
<p>每一个组件通常都有定义合理的参数默认值，而不是强制编码它们。组件可以使用这些值作为候选值，但最好是从运行环境中获取这些值。这通常需要借助于服务发现工具，使得组件可以在启动过程中去查询这些参数。</p>
<p>将配置文件放在实际容器的外面，就可以在不需要重新构建镜像的情况下简单的改变应用的行为。这样可以使得一个配置可以影响同一组件的不同实例。通常来说，面向服务的设计与运行环境配置策略配合的比较好，这是因为二者都需要更灵活的部署和更直接的扩展。<br />
<h3>用Docker Registry管理容器</h3>
<p>一旦应用被切分为功能组件，并在容器中部署，那下一步通常是确保你的容器可以通过Registry获取。将容器镜像上传到Registry，紧接着Docker宿主机可以通过简单的已知名称来拉取容器并启动其实例。</p>
<p>满足这个要求的Docker Registry有很多。有一些是对外公开的，任何人都可以查看和使用已经被提交的镜像，相对的也有些是私人的Registry。镜像可以用标签来标识，以方便准确的获取或更新。<br />
<h3>总结</h3>
<p>Docker提供了分布式容器部署的基础构建模块。通过将应用打包到它们各自的容器中，水平扩展变成了简单的启动或者关闭每个组件实例群的过程。Docker不仅提供了创建镜像的必需工具，也提供了方便新用户或宿主机管理和分享镜像的工具。</p>
<p>尽管容器化应用提供了必要的隔离和打包来协助部署过程，还是需要一些在分布式集群或者宿主机上管理和批量化容器的工具。在下一个教程中，我们将讨论服务发现和全局配置存储如何协助集群容器部署。<br />
<h3>本系列的其它文章</h3>
<p>Docker已经为开发者和管理员提供一个简单的平台来创建和部署可扩展的应用。在这个系列中，我们将探索Docker如何与其他组件整合在一起，并用它们提供的工具集来便捷地提供高可用性的分布式系统。
<ol>
<li><a href="http://dockerone.com/article/205" rel="external nofollow noreferrer">常用组件介绍</a>（已翻译）</li>
<li>容器化的综述（本文）</li>
<li><a href="http://dockerone.com/article/259" rel="external nofollow noreferrer">服务发现和分布式配置存储</a>（已翻译）</li>
<li><a href="http://dockone.io/article/372" rel="external nofollow noreferrer">网络与通信</a>（翻译完毕）</li>
<li><a href="http://dockone.io/article/390" rel="external nofollow noreferrer">调度与编排</a>（翻译完毕）</li>
</ol>
<p>原文链接：<a href="https://www.digitalocean.com/community/tutorials/the-docker-ecosystem-an-overview-of-containerization" rel="external nofollow noreferrer">The Docker Ecosystem: An Overview of Containerization</a> （译者：陈杰 校对：李颖杰）</p>
<p>===============================================<br />译者介绍<br />陈杰，北京理工大学计算机学院在读博士，研究方向是自然语言处理在企业网络信誉评价方面的应用，平时也乐于去实现一些突发的想法。在疲于配置系统环境时发现了Docker，跟大家一起学习、使用和研究Docker。</p>
<p>原文发布时间为： 2015-02-25 </p>
<p>本文作者：Sonyfe25cp</p>
<p>本文来自合作伙伴DockerOne，了解相关信息可以关注DockerOne。</p>
<p>原文标题：Docker生态系统系列之二：容器化综述</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-05 05:01:21</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e5%88%86%e5%b8%83%e5%bc%8f/" title="分布式">分布式</a>, <a href="https://www.iamivan.net/tag/%e6%9e%b6%e6%9e%84/" title="架构">架构</a>, <a href="https://www.iamivan.net/tag/%e9%95%9c%e5%83%8f/" title="镜像">镜像</a>, <a href="https://www.iamivan.net/tag/%e9%85%8d%e7%bd%ae/" title="配置">配置</a>, <a href="https://www.iamivan.net/tag/%e7%a8%8b%e5%ba%8f%e5%91%98/" title="程序员">程序员</a>, <a href="https://www.iamivan.net/tag/%e5%ae%b9%e5%99%a8/" title="容器">容器</a>, <a href="https://www.iamivan.net/tag/docker/" title="docker">docker</a>, <a href="https://www.iamivan.net/tag/registry/" title="registry">registry</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>Docker生态系统系列之二：容器化综述的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zZgoEkb.html" rel="bookmark">Docker生态系统系列之一：常用组件介绍</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文讲的是Docker生态系统系列之一:常用组件介绍,[编者的话]本篇文章是介绍Docker生态系统的第一篇,不仅从概念上介绍了容器化.服务发现和全局配置存储.网络工具.调度.集群管理和编排这几部分内容,而且配以清晰易懂的例子进行讲解说明,非常值得读者称赞.Docker是现在使用最多的容器化软件.与其它已经存在的容器化系统相比,Docker可以更加简单的创建和管理容器,并与其它开源软件集成. 简介 容器化是一个以可移植和可预测的方式来部署分布式应用的过程,它会将应用组件以及依赖打包为一个标准.独			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Mx0dqjM.html" rel="bookmark">Docker生态系统系列之三：服务发现和分布式配置存储</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文讲的是Docker生态系统系列之三:服务发现和分布式配置存储,[编者的话]本文介绍了服务发现与全局可读配置存储两部分内容,不仅介绍了工作原理和工作方式,也介绍了与之相关的故障检测.重配置和安全问题,最后还介绍了常用的服务发现项目.整篇文章将这个知识点介绍的很全面细致,让读者能够对服务发现和全局可读配置存储有一个全面的认识,值得学习. 介绍 容器给寻找大规模设计与部署应用的需求提供了一个优雅的解决方案.在Docker提供实际容器技术的同时,许多其他的项目也在协助开发在部署环境中所需要的引导和沟			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Mq7qKYz.html" rel="bookmark">Docker生态系统系列之五：调度和编排</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文讲的是Docker生态系统系列之五:调度和编排,[编者的话]调度和编排是集群管理中的重要组成部分,本文对这两者的概念.功能和使用都做了详细的介绍,最后列举了目前Docker生态环境中的调度工具.容器管理和调度器是在分布式主机上实现容器化服务的一个关键步骤.它提供主要的管理功能为启动和控制应用提供的服务.实现有效的调度可以事半功倍. 介绍 Docker提供了编译.上传.下载.启动和停止容器的所有必要功能.对于在一个单主机环境上最小数量容器的情况下管理这些过程是很合适的. 但是,很多Docker			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MlWB0Db.html" rel="bookmark">阿里云发布开源容器化迁移工具，传统应用改造的福音</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一句话介绍DerrickDerrick一词本义是起重机,在码头上搬运Container(集装箱).传统应用Docker化升级工具,降低开发者的Docker学习成本和传统应用容器化的难度:通过基于源代码.配置.环境的探测,自动生成Dockerfile,快速本地验证容器化结果. 开源地址是https://github.com/alibaba/derrick 为什么要推出Derrick容器作为革命性的技术大大提高了IT软件交付效率,但是容器化改造传统应用并非易事.应用容器化需要考虑到团队的学习成本,并			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p8kd6lM.html" rel="bookmark">Shopify的Docker实战经验（二）如何用容器支持10万的在线商店</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文讲的是Shopify的Docker实战经验(二)如何用容器支持10万的在线商店,[编者的话]Shopify是一个电子商务平台,提供专业的网上店面.目前的客户超过12万,包括GE.特斯拉汽车.GitHub等.作为首家市值超过10亿美元的加拿大网络公司,Shopify在欧美市场的影响力也与日俱增.Shopify是一个大型的Ruby on Rails应用,其产品服务器能通过给1700个处理核心和6TB RAM分配任务来完成每秒处理8000多个请求.Shopify在其博客上分享了系列内容来介绍他们的			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/z406wJz.html" rel="bookmark">容器、Docker与Kubernetes&mdash;&mdash;什么是Kubernetes以及它是如何使得容器化基础设施变得简单</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文讲的是容器.Docker与Kubernetes--什么是Kubernetes以及它是如何使得容器化基础设施变得简单[编者的话]本文是系列文章第2篇,主要介绍Kubernetes. 在本系列文章的第一篇中我阐述了从基础设施的容器化角度阐述了什么是容器,什么是Docker以及它们是怎么来重新定义运维工作以及对基础设施产生的影响.但是,仅仅了解了容器与Docker还不足以将它们运用到我们实际的技术栈中去:所以在本篇文章中我会介绍Kubernetes--一个容器的编排(orchestration)工			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Mv7e3Ap.html" rel="bookmark">持续交付系列（二）：使用Docker、Mesos实现持续交付</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文讲的是持续交付系列(二):使用Docker.Mesos实现持续交付,[编者的话]本文主要介绍Mesos和Marathon的搭建以及如何完成整个持续交付过程,以及后续还可以做哪些改进和加强.整个系统搭建完成后,应用代码的改变会自动触发Jenkins构建流程,几秒钟后,改变就会通过Jenkins.Docker Hub和Marathon传递到Mesos中部署上线,是不是很酷? 第一部分(中文翻译)我们介绍了如何Docker化一个Node.js应用,如何使用Fig部署Jenkins和Docker R			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/9MxBjz7.html" rel="bookmark">将Node&period;js项目docker容器化并纳入kubernetes调度编排的实践</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				  简述 此文档以XXXLogApi-nj项目为例,讲解了将基于Node.js+Express开发的javascript项目容器化的过程.希望以后类似的项目可以以此为参照进行扩展. XXXLogApi-nj本身是一个微服务化的项目,其作用是为系统单纯的收集相关发布日志,以便能及时的展示给用户. ***这份文档的操作,开始于编码完成之后流程.不涉及GIT和JENKINS的等的操作. ***为保持职业操作,涉及公司信息的地方作了敏感化处理. ***在这个系列中,我同时作了spring boot, b			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pLoWLAM.html" rel="bookmark">Spring Boot与Docker（一）：微服务架构和容器化概述</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文讲的是Spring Boot与Docker(一):微服务架构和容器化概述,[编者的话]本篇是&lt;使用Spring Boot和Docker构建微服务架构&gt;系列四部曲的第一篇,本篇将会对我们谈及的微服务架构以及容器化概念作一个概述.原文作者为3Pillar环球旗下美国Adbanced技术集团的总监Dan Greene,Dan有十八年的软件设计和开发经验,包括在电子商务.B2B集成.空间分析.SOA架构.大数据以及云计算等领域的软件产品架构经验,他是AWS认证解决方案架构师,在3Pillar之前先			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/LzJkQ6b.html" rel="bookmark" class="title">360浏览器怎么无痕浏览</a>
					<div>
						  IE如何设置无痕浏览: 按键盘上:Ctrl+Shift+P,依次打开浏览器,在菜单栏中选择丨工具丨InPrivate浏览丨.这时,新打开的IE就是无痕浏览,要设置,就在工具菜单里选择InPriva ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/LpdyBdz.html" rel="bookmark" class="title">usb-关DEVICECHANGE的问题</a>
					<div>
						问题描述 关DEVICECHANGE的问题 我要检测我的usb设备的插入和拔出,窗口处理函数的uMsg为WM_DEVICECHANGE时,在dbt.h文件里看出,wParam参数若为0x8000则为设 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/OMgJV5b.html" rel="bookmark" class="title">asp制作的日历程序</a>
					<div>
						纯ASP打造的日历程序,可自行美化,这里仅提供最简单的CSS样式... &lt;style&gt;body{font-size:12px; margin:20px 0 0 20px; padding: ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/yMAyn2M.html" rel="bookmark" class="title">用php做一个简单的表单</a>
					<div>
						PHP最有用的特性之一是它能够自动将表单中的变量值赋予PHP变量.这使得表单处理变得非常快捷. 因此,如果你送出一个内含输入栏位值的表单如下: &lt;INPUT TYPE=TEXT NAME=&qu ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/OMgDd6p.html" rel="bookmark" class="title">ASP不用Golobal和session实现在线人数统计</a>
					<div>
						session|统计|在线|在线人数   实现在线人数统计最常用的方法就是golobal.asa结合session做,但这种方法有两个不利:   1.每个session要占用12k的服务器内存空间,为 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/6b316kp.html" rel="bookmark" class="title">查看ASP源代码的方法</a>
					<div>
						源代码 我们都知道asp这一类的服务器端处理的程序,其好处之一就是只向客户端输出标准的Html流.因此可以起到向客户隐藏细节的作用.也就是说当我们在浏览器中键入asp程序的网址后只能看见标准的Html ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/OMg1YBz.html" rel="bookmark" class="title">nagios的配置</a>
					<div>
						nagios安装完毕之后,它的配置文件在/usr/local/nagios/etc/下,每个配置文件都有不同的用途,如下是各个配置文件的含义: 一,配置文件相关了解 [root@test1~]# cd ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgKQv6M.html" rel="bookmark" class="title">php中的四舍五入</a>
					<div>
						比如我有0.10456,要变成10.5%? round(PHP 3, PHP 4 )round -- 对浮点数进行四舍五入说明float round ( float val [, int precis ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z4wrljp.html" rel="bookmark" class="title">PS经典美容教程让你完美无缺</a>
					<div>
						教程非常详细的讲解人物高级美容的方法,在细节处理方面作者都接近用鼠绘,方法也更鼠绘差不多,不得不佩服作者的功底. 原图 最终效果  1.打开原图通过色彩调整工具调整至右图效果.这里用了Neat ima ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MWX18Xp.html" rel="bookmark" class="title">阿云浏览器如何设置为默认浏览器</a>
					<div>
						  当您需要将阿云浏览器设置为默认浏览器时,您可以直接点击左上角&quot;云logo &quot;--&quot;设为默认浏览器&quot;即可,如下图所示:					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MYRRLep.html" rel="bookmark" class="title">Excel表格开头数字不显示怎么办</a>
					<div>
						  Excel开头数字不显示怎么办?相信这个问题不是只有一个人遇到过了,不过这个问题的解决办法似乎不只有由一个,今天小编就给大家讲解一下: 方法一.加单引号法 这是一种最为简便的方法,你只需在0的前面 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mr33mjp.html" rel="bookmark" class="title">win7怎么删除虚拟内存</a>
					<div>
						首先点击开始菜单按钮,把鼠标指向&quot;我的计算机&quot;.然后点击鼠标右键,在弹出来的菜单中选择&quot;属性&quot;,如图所示 2 然后在系统信息窗口中,点击左边的&quot;高级系 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5o6dDb.html" rel="bookmark" class="title">XP下桌面图标的间距大小怎么调整</a>
					<div>
						方法一:更改显示属性 1.在桌面空白处点右键→属性→外观→点击&quot;高级&quot;按钮 2.在弹出的&quot;高级外观&quot;窗口中,在&quot;项目&quot;下拉框中选择&quot ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MYRyGrp.html" rel="bookmark" class="title">rar文件如何打开</a>
					<div>
						  1.选择一款压缩工具,现在市面上压缩软件很多,像之前的WinRAR,还有快压.好压.酷压.360压缩等都是不错的解压缩工具.随意安装一款即可. 2.安装好压缩软件后,鼠标双击要解压的文件,然后选择 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b24EWqp.html" rel="bookmark" class="title">企业中的iPhone 5：是利还是弊？</a>
					<div>
						iPhone5会为企业带来更大的安全风险,当然,也会为企业带来更高的蜂窝网络数据成本.另一方面,某些IT经理表示他们认为从安全和无线数据服务成本的角度来看,iPhone5将是可管理的. 如果支持LET ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJZa98z.html" rel="bookmark" class="title">详解PHP中的PDO类&lowbar;php技巧</a>
					<div>
						 简介 咱一起来看看PDO类.PDO是PHP Data Objects的缩写,它被描述为&quot;在PHP中访问数据库的轻量级,兼容性的接口&quot;.尽管它的名字不咋好听,但PDO是一个在PHP ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bE6Rr3M.html" rel="bookmark" class="title">pcl-PCL中粗配准上出现的问题</a>
					<div>
						问题描述 PCL中粗配准上出现的问题 你好,我最近打算用SAC-IA+ICP一起配合对点云数据进行高效的配准利用的是fpfh特征估计.但是现在我在进行SAC-IA粗配准的时候遇到了一个问题:问题报错为 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlQN5np.html" rel="bookmark" class="title">线性回归之&mdash;&mdash;最小二乘法</a>
					<div>
						一.引言 这段时间学习&lt;机器学习&gt;,学到第5章的&quot;Logistic回归&quot;,感觉相当吃力.追本溯源,从&quot;Logistic回归&quot;到&quot;线性回归& ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3rAgWz.html" rel="bookmark" class="title">机房三维（3D）监控系统和机房可视化动力环境监控系统两者有什么特点？</a>
					<div>
						随着计算机技术的迅速发展,数字交换技术的日新月异,计算机通信已经深入到社会生活并对社会经济的发展起着决定性的作用,而在这其中计算机机房数据中心作为载体更是整体生态链中的重中之重.如果没有统一的监控系统 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGEPLOM.html" rel="bookmark" class="title">用代码执行和在查询器中执行返回的结果不一样？？？？</a>
					<div>
						问题描述 publicListfindobjectList(Stringsql){//Sessions=this.getHibernateTemplate().getSessionFactory(). ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pmKDKlb.html" rel="bookmark" class="title">win7下搭建nginx&plus;php的开发环境&lowbar;win服务器</a>
					<div>
						一.下载相关软件 nginx下载:http://nginx.org/en/download.html nginx常见异常:http://feiger.cn/?p=2719 php下载:http://w ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnKDgjz.html" rel="bookmark" class="title">asp&period;net 2&period;0的Server Application Unavailable错误提示</a>
					<div>
						Server Application Unavailable The web application you are attempting to access on this web server i ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pL7VZ8M.html" rel="bookmark" class="title">IEDM大会 ：TSMC和IBM公开7-nm技术细节</a>
					<div>
						 旧金山国际电子设备会议(IEDM)消息:国际电子设备会议(IEDM)第一天的会场里人头涌涌,来自TSMC和IBM的研究人员 在会上做了关于7-nm工艺流程技术的发言报告,报告无异于圣诞树下的礼物.研 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRD2aqz.html" rel="bookmark" class="title">云华时代郭昕：服务外包产业的周期与生命力</a>
					<div>
						3月21日,中国服务外包领军者年会在天津举行,会议由天津鼎韬服务外包研究院.中国外包网举办.本次大会,中国服务外包行业领军人物.数十位政界高层.业界权威专家和学者共同展开思想碰撞与智慧交流,深度探讨产 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bKYNVdp.html" rel="bookmark" class="title">Windows XP&plus;Windows Vista双系统安装全攻略</a>
					<div>
						WindowsXP是基于Windows2000代码的产品,同时拥有一个新的用户图形界面(叫做月神Luna),它包括了一些细微的修改,其中一些看起来是从Linux的桌面环境(desktopenviron ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXqDq4z.html" rel="bookmark" class="title">网友指出猛料疑似文章与姚笛出轨</a>
					<div>
						3月28日,南都娱乐周刊预告将在周一爆猛料.随即,网友指出猛料疑似文章与姚笛出轨.紧接着#周一见#.#文章出轨#等话题愈演愈烈.一场因&quot;文章&quot;而起的大事件在娱乐圈炸开了锅.此事中, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M9x27vb.html" rel="bookmark" class="title">捕鱼达人名声大振 被腾讯照搬陈昊芝遇直接&OpenCurlyDoubleQuote;无语&rdquo;</a>
					<div>
						受一款以捕鱼为主题的街机游戏启示,http://www.aliyun.com/zixun/aggregation/14604.html&quot;&gt;触控科技CEO陈昊芝带领20人规模的Punch ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MAEjgKM.html" rel="bookmark" class="title">struts标签嵌套的问题</a>
					<div>
						问题描述 &lt;s:set value=&quot;#request.actionMessage&quot; name=&quot;obj&quot; scope=&quot;request&quo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mgwg9ZM.html" rel="bookmark" class="title">ascii-如何把字母&plus;数字的ASCII码转换成有效的身份证号码？代码如下</a>
					<div>
						问题描述 如何把字母+数字的ASCII码转换成有效的身份证号码?代码如下 byte[] res = new byte[str.Length / 2]; for (int i = 0; i &lt; s ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bjwN28M.html" rel="bookmark" class="title">windows如何怎么记录已经关闭的程序和程序启动次数？</a>
					<div>
						问题描述 windows如何怎么记录已经关闭的程序和程序启动次数? windows如何怎么记录已经关闭的程序和程序启动次数?想做一个最近打开的列表,就像vb开发环境那样,怎么做? 解决方案 程序打开, ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.029 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
